Author Topic: regular expressions need to be reviewed  (Read 1620 times)

Offline killerbot

  • Administrator
  • Lives here!
  • *****
  • Posts: 4988
regular expressions need to be reviewed
« on: September 29, 2015, 02:48:32 pm »
I noticed that gcc 5.1 does not return 5.1 but 5 as result of gcc -dumpversion.

As such lots of options are suddenly not available anymore.

I myself will address already options_common_warnings.xml as a test case.

Offline Alpha

  • Developer
  • Lives here!
  • *****
  • Posts: 1506
Re: regular expressions need to be reviewed
« Reply #1 on: September 29, 2015, 08:04:29 pm »
I wonder how far back some of these version checks should be kept.  How likely is it that someone will have a new build of C::B, but be running gcc 4.6 (released 2011, last updated 2013)?

Offline oBFusCATed

  • Developer
  • Lives here!
  • *****
  • Posts: 9878
Re: regular expressions need to be reviewed
« Reply #2 on: September 29, 2015, 08:37:41 pm »
Centos 6 has gcc 4.4 as default compiler and many people use it a lot. Me included (I've migrated to clang though).
But there is a chance that I'll need to use gcc 4.4 sometime in the future.

Also it is not unheard of someone requiring the use of gcc 4.1 to make code compatible with Centos 5.
So we need to support them!
<debugger plugin maintainer>
(most of the time I ignore long posts)
[strangers don't send me private messages, I'll ignore them; post a topic in the forum, but first read the rules!]

Offline Alpha

  • Developer
  • Lives here!
  • *****
  • Posts: 1506
Re: regular expressions need to be reviewed
« Reply #3 on: September 29, 2015, 10:07:39 pm »
Okay, makes sense.